Name:		aeolus
Summary:	Synthesized pipe organ emulator
Version:	0.9.0
Release:	%mkrel 6
License:	GPLv2+ and CC-BY-SA
Group:		Sound/Midi
Source0:	http://kokkinizita.linuxaudio.org/linuxaudio/downloads/%{name}-%{version}.tar.bz2
Source1:	http://kokkinizita.linuxaudio.org/linuxaudio/downloads/stops-0.3.0.tar.bz2
# http://commons.wikimedia.org/wiki/File:Logo_aeolus.png / resized to 48x48
# CC-BY-SA License
Source2:	%{name}48x48.png
URL:		http://kokkinizita.linuxaudio.org/linuxaudio/aeolus/index.html
BuildRequires:	clthreads-devel >= 2.4.0
BuildRequires:	zita-alsa-pcmi-devel >= 0.2.0
BuildRequires:	clxclient-devel >= 3.9.0
BuildRequires:	libjack-devel
BuildRequires:	readline-devel

%description
Aeolus is a synthesized (i.e. not sampled) pipe organ emulator that 
should be good enough to make an organist enjoy playing it. It is a 
software synthesizer optimized for this job, with possibly hundreds 
of controls for each stop, that enable the user to "voice" 
his instrument.

Main features of the default instrument: three manuals and one pedal, 
five different temperaments, variable tuning, MIDI control of course, 
stereo, surround or Ambisonics output, flexible audio controls 
including a large church reverb.

Aeolus is not very CPU-hungry, and should run without problems on a 
e.g. a 1GHz, 256MB machine. 

%files
%config %{_sysconfdir}/%{name}.conf
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_libdir}/aeolus*.so

%prep
%setup -q -n %{name}-%{version} -a1

# fix wrong perms
chmod +r stops-0.3.0/*
cd source
sed -i -e 's/PREFIX =/#PREFIX =/g' Makefile
sed -i -e 's/-lXft//g' Makefile
sed -i -e 's/-lrt//g' Makefile
sed -i -e '/ldconfig/d' Makefile
sed -i -e 's#-O3#%{optflags}#' Makefile

%build
cd source
%make PREFIX=%{_prefix} LIBDIR=%{_lib}

%install
cd source
%make_install PREFIX=%{_prefix} LIBDIR=%{_lib}
cd ..

mkdir -p %{buildroot}%{_datadir}/%{name}/stops
cp -fr stops-0.3.0/* %{buildroot}%{_datadir}/%{name}/stops/

mkdir -p %{buildroot}%{_sysconfdir}/
cat > %{buildroot}%{_sysconfdir}/%{name}.conf <<EOF
-u -J -S %{_datadir}/%{name}/stops
EOF

# desktop file and icon
install -d -m755 %{buildroot}%{_datadir}/pixmaps
install -m644 %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOL
[Desktop Entry]
Type=Application
Exec=aeolus
GenericName=Aeolus
GenericName[en_GB]=Aeolus
Icon=aeolus
Name=Aeolus
Comment=Virtual pipe organ based on additive synthesis
Name[en_GB]=Aeolus
Comment[en_GB]=Virtual pipe organ based on additive synthesis
Name[cs]=Aeolus
Comment[cs]=VirtuÃ¡lnÃ­ varhany zaloÅ¾enÃ© na aditivnÃ­ syntÃ©ze
Name[de]=Aeolus
Comment[de]=Virtuelle Pfeifenorgel, auf additiver Synthese beasierend
Name[es]=Aeolus
Comment[es]=Ã“rgano virtual basado en la sÃ­ntesis aditiva
Name[fr]=Aeolus
Comment[fr]=Orgue virtuel basÃ© sur la synthÃ¨se additive
Name[it]= Aeolus
Comment[it]= Virtual pipe organ basato sulla sintesi additiva
Name[ja]=Aeolus
Comment[ja]=ãƒãƒ¼ãƒãƒ£ãƒ«ãƒ‘ã‚¤ãƒ—ã‚ªãƒ«ã‚¬ãƒ³
Name[nb]=Aeolus
Comment[nb]=Virtuelt orgel basert pÃ¥ additivsyntese
Name[nl]=Aeolus
Comment[nl]=Virtueel pijporgel gebaseerd op toegevoegde syntheses
Name[pl]=Aeolus
Comment[pl]=Wirtualne organy piszczaÅ‚kowe
Name[pt_BR]=Aeolus
Comment[pt_BR]=Virtual pipe organ based on additive synthesis
Name[sk]=Aeolus
Comment[sk]=VirtuÃ¡lny pÃ­Å¡talovÃ½ organ zaloÅ¾enÃ½ na aditÃ­vnej syntÃ©ze
Name[zh_CN]=Aeolus
Comment[zh_CN]=åŸºäºŽåŠ æ³•åˆæˆçš„è™šæ‹Ÿç®¡é“å…ƒä»¶
Name[zh_TW]=Aeolus
Comment[zh_TW]=ä»¥ç–Šåˆå¤šç¨®åˆæˆå™¨ç‚ºåŸºç¤Žçš„è™›æ“¬ç®¡é¢¨ç´
StartupNotify=true
Terminal=false
Categories=Audio;AudioVideo;Midi;X-Mageia-CrossDesktop;
X-KDE-SubstituteUID=false
EOL


%changelog
* Thu Jan 07 2016 neoclust <neoclust> 0.9.0-6.mga6
+ Revision: 920293
- Fix build on arm ( fix LIBDIR)

* Wed Oct 28 2015 ycantin <ycantin> 0.9.0-5.mga6
+ Revision: 895932
- fix build by using %%make_install

* Wed Oct 15 2014 umeabot <umeabot> 0.9.0-4.mga5
+ Revision: 743470
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.0-3.mga5
+ Revision: 677707
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.9.0-2.mga4
+ Revision: 531707
- Mageia 4 Mass Rebuild

* Thu Aug 08 2013 barjac <barjac> 0.9.0-1.mga4
+ Revision: 464621
- new version 0.9.0
- changed build requires
- changes to makefile to fix build
- minor spec clean

* Fri Jan 11 2013 umeabot <umeabot> 0.8.4-2.mga3
+ Revision: 345299
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 26 2012 barjac <barjac> 0.8.4-1.mga3
+ Revision: 321953
- spec cleaned
- dektop file updated and now in spec
- thanks to Philippe Didier
- Import from Mandriva


* Sat Jul 24 2010 Frank Kober <emuse@mandriva.org> 0.8.4-1mdv2011.0
+ Revision: 558121
- new version 0.8.4
 o requires clalsadrv>=2.0.0
 o replace patches by sed scripts

* Mon Feb 08 2010 Jérôme Brenier <incubusss@mandriva.org> 0.8.2-6mdv2010.1
+ Revision: 501953
- fix some wrong perms

* Mon Feb 08 2010 Jérôme Brenier <incubusss@mandriva.org> 0.8.2-4mdv2010.1
+ Revision: 501881
- add PREFIX=%%{_prefix} to %%make
- fix linkage (over and under linking)
- relocate stops to %%{_datadir}/aeolus/stops and fix aeolus.conf
- add a desktop file (thanks to P. DIDIER) and an icon under CC-BY-SA
- cosmetic changes

* Fri Dec 18 2009 Jérôme Brenier <incubusss@mandriva.org> 0.8.2-3mdv2010.1
+ Revision: 479978
- BuildRequires: readline-devel

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Funda Wang <fwang@mandriva.org>
    - New version 0.8.2

* Sun Dec 21 2008 Funda Wang <fwang@mandriva.org> 0.6.6-4mdv2009.1
+ Revision: 317086
- fix rpm group (bug#46412)

* Sat Sep 13 2008 Funda Wang <fwang@mandriva.org> 0.6.6-3mdv2009.0
+ Revision: 284529
- Add stops source to fix bug#40543
- new license policy
- spec cleanup

* Thu Jun 19 2008 Thierry Vignaud <tv@mandriva.org> 0.6.6-2mdv2009.0
+ Revision: 226132
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Dec 09 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.6.6-1mdv2008.1
+ Revision: 116599
- Add missing BuildRequire
- import aeolus


